Bug 740531 - alsa: USB headset plays no sound when volume is under a certain treashold.
Summary: alsa: USB headset plays no sound when volume is under a certain treashold.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 11:25 UTC by Kvikende
Modified: 2013-03-28 13:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-28 13:53:05 UTC


Attachments (Terms of Use)

Description Kvikende 2011-09-22 11:25:20 UTC
Description of problem:
I have a USB headset which works great in Windows 7 but not in F15.

If I have the gnome shell volume below about 1/6 of max then no sound is played at all. Above it and sound is really really loud.

If a flash movie in Firefox has its own volume control it's unaffected.

How reproducible:
Every time.

Steps to Reproduce:
1. Plug in USB headset and set gnome volume control to use it
2. Set volume to below 1/6 of max, no sound
3. Set volume to above 1/6 of max, loud sound
  
Actual results:
Either loud or no sound plus lower end of the volume control does not work.

Expected results:
Continuous sound volume throughout the volume glider like on Windows.

Additional info:
The headset is a Corsair HS1 USB Headset: http://www.corsair.com/pc-computer-audio/gaming-headsets/gaming-audio-series-hs1-usb-gaming-headset.html

Comment 1 Lennart Poettering 2011-09-28 21:56:22 UTC
This sounds like hardware exposing incorrect dB information. Something that the USB audio driver probably needs to override in the quirks.

Comment 2 Josh Boyer 2012-03-16 19:43:18 UTC
Is this still a problem with the 3.2.9 or newer kernels?

Comment 3 Dave Jones 2012-03-22 17:13:04 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 4 Dave Jones 2012-03-22 17:15:19 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 17:24:22 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 6 Kvikende 2012-03-30 06:22:38 UTC
Sorry for slow reply.

I am running 3.3.0-4.fc16.x86_64 and the problem is still present.

Comment 7 Dave Jones 2012-10-23 15:34:45 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 8 Kvikende 2012-11-08 17:33:47 UTC
Still have this error on 3.6.5-1.fc17.x86_64

Comment 9 Josh Boyer 2013-03-14 17:37:05 UTC
Are you still having this issue with 3.8.2 in updates-testing?

Comment 10 Josh Boyer 2013-03-28 13:53:05 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.